/*
 * exclusions.h
 * $Revision: 1.1 $
 *
 * Copyright (c) 2004 David Holroyd
 * See the file COPYING for license terms
 *
 * http://www.badgers-in-foil.co.uk/projects/cvprof/
 */

#include <stdio.h>


/*
 * Manage the list of class signature prefixes for classes that should be
 * excluded from the coverage profile.
 */

typedef struct ex {
	char *package_prefix;
	struct ex *next;
} exclusion_list;

/* Returns 1 of the given class signature matches any entry in the list */
int exclusion_list_matches(exclusion_list *list, char *class_signature);

exclusion_list *exclusion_list_read(FILE *input);

void exclusion_list_free(exclusion_list *list);

void exclusion_list_add(exclusion_list **list, char *class_signature_prefix);
